Admiral

Invitations

Withdraw an invitation

POST
/v1/invitations/{invitation_id}/revoke

Scope: user:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

invitation_id*invitation_id

The invitation, from CreateInvitation or ListInvitations.

Match^inv-[0-9a-z]+$

Response Body

application/json

curl -X POST "https://example.com/v1/invitations/string/revoke"
{  "invitation": {    "id": "string",    "email": "user@example.com",    "role": "USER_ROLE_ADMIN",    "status": "STATUS_UNSPECIFIED",    "invited_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "expires_at": "2023-01-15T01:30:15.01Z",    "accepted_at": "2023-01-15T01:30:15.01Z",    "accepted_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "revoked_at": "2023-01-15T01:30:15.01Z"  }}